GuidesAPI Reference
API Reference

Signals

RESTRICTED

This endpoint receives user interaction data from previous search results to improve future result quality.

Body Params

Takes a newline-separated list of requests, following the URL query parameter syntax.

Each line in the body informs the search backend about a user interaction. A typical call contains only one user interaction, but multiple can be provided at once. The fields expected in each line are:

  • version: Defines the version of the payload (needs to be set to 1)

  • action: Specifies the user action. It must be one of the following values (any other value will lead to a 400):

    • here:gs:action:call: To be sent when the end-user uses the result phone number.
    • here:gs:action:email: To be sent when the end-user uses the result email address.
    • here:gs:action:navigate-from: To be sent when the end-user starts a navigation from the result item.
    • here:gs:action:navigate-to: To be sent when the end-user starts a navigation to the result item.
    • here:gs:action:pin: To be sent when the end-user bookmarks a result
    • here:gs:action:tap: To be sent when the end-user taps on the result displayed on a map.
    • here:gs:action:view: To be sent when the end-user selects a result in a result list.
    • here:gs:action:share: To be sent when the end-user shares/sends a result to another user or as a mail/PM.
    • here:gs:action:visit: To be sent when the end-user visits the result www contact.
  • correlationId: The value of the previous response X-Correlation-ID header on which the action is performed

  • resourceId: The ID value of the search result on which the action is performed.

This is either:

  • id when the action occurs on a Lookup response

  • items[].id when the action occurs on any other endpoint

  • rank: The rank of the object in the response items array. The first result is at rank 0. It is always 0 when the action happens on a Lookup response.

Recommended:

  • timestamp: (Recommended but optional) The Unix Epoch timestamp in milliseconds based on user interaction performed on the response item.

Example payload to POST /v1/signals:

version=1&resourceId=hrn:af:street:bYLa1RIXm08-g5lRgt0ebA&correlationId=22457435-efcf-46b9-8c87-62912f3f2f0&rank=0&action=here:gs:action:navigate-to&timestamp=1692625661
Headers
string

Used to correlate requests with their responses within a customer's application, for logging and error reporting.

Format: Free string, but a valid UUIDv4 is recommended.

Responses
204

Empty response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json